/* 
 * File:   LedLightCtrl.h
 * Author: JF
 *
 * Created on November 30, 2018, 8:09 PM
 */

#ifndef LEDLIGHTCTRL_H
#define	LEDLIGHTCTRL_H

#define LED_LIGHT_TICK_STEP 5  //Percent
#define LED_LIGHT_MIN_DIM_VAL 10    //Percent

#define LED_LIGHT_ON 1
#define LED_LIGHT_OFF 0

extern int LedLightBrightness;

void LedLightDim(int Percent);
void LedLightDecrease();
void LedLightBright(int Percent);
void LedLightIncrease();
void LedLightSet(int Percent);

void LedLightONOFFBtnPressed();
void TurnLedLightON();
void TurnLedLightOFF();

int GetLedLightBrightness();
int GetLedLightState();

#endif	/* LEDLIGHTCTRL_H */

